import 'package:anchor_collect_flutter/pages/begats_record/begats_record_view.dart';
import 'package:anchor_collect_flutter/pages/breeding_record/breeding_record_binding.dart';
import 'package:anchor_collect_flutter/pages/breeding_record/breeding_record_detail/breeding_record_detail_binding.dart';
import 'package:anchor_collect_flutter/pages/breeding_record/breeding_record_detail/breeding_record_detail_view.dart';
import 'package:anchor_collect_flutter/pages/breeding_record/breeding_record_list/breeding_record_list_binding.dart';
import 'package:anchor_collect_flutter/pages/breeding_record/breeding_record_list/breeding_record_list_view.dart';
import 'package:anchor_collect_flutter/pages/breeding_record/breeding_record_view.dart';
import 'package:anchor_collect_flutter/pages/immune_batch/immune_batch_binding.dart';
import 'package:anchor_collect_flutter/pages/immune_batch/immune_batch_list/immune_batch_list_binding.dart';
import 'package:anchor_collect_flutter/pages/immune_batch/immune_batch_list/immune_batch_list_view.dart';
import 'package:anchor_collect_flutter/pages/immune_batch/immune_batch_view.dart';
import 'package:anchor_collect_flutter/pages/like_search_farmer/like_search_farmer_binding.dart';
import 'package:anchor_collect_flutter/pages/like_search_farmer/like_search_farmer_view.dart';
import 'package:anchor_collect_flutter/pages/main/main_binding.dart';
import 'package:anchor_collect_flutter/pages/main/main_view.dart';
import 'package:anchor_collect_flutter/pages/medical_record/medical_record_binding.dart';
import 'package:anchor_collect_flutter/pages/medical_record/medical_record_list/medical_record_list_binding.dart';
import 'package:anchor_collect_flutter/pages/medical_record/medical_record_list/medical_record_list_view.dart';
import 'package:anchor_collect_flutter/pages/medical_record/medical_record_view.dart';
import 'package:anchor_collect_flutter/pages/message/message_binding.dart';
import 'package:anchor_collect_flutter/pages/message/message_view.dart';
import 'package:anchor_collect_flutter/pages/mine/mine_binding.dart';
import 'package:anchor_collect_flutter/pages/mine/mine_view.dart';
import 'package:anchor_collect_flutter/pages/performance/performance_list/performance_list_view.dart';
import 'package:anchor_collect_flutter/pages/setting/setting_binding.dart';
import 'package:anchor_collect_flutter/pages/setting/setting_view.dart';
import 'package:anchor_collect_flutter/pages/sync/sync_binding.dart';
import 'package:anchor_collect_flutter/pages/sync/sync_view.dart';
import 'package:anchor_collect_flutter/pages/weight_man/weight_man_binding.dart';
import 'package:anchor_collect_flutter/pages/weight_man/weight_man_list/weight_man_list_binding.dart';
import 'package:anchor_collect_flutter/pages/weight_man/weight_man_list/weight_man_list_view.dart';
import 'package:anchor_collect_flutter/pages/weight_man/weight_man_view.dart';
import 'package:get/get.dart';
import '../pages/begats_record/begats_record_binding.dart';
import '../pages/camera/camera_binding.dart';
import '../pages/camera/camera_view.dart';
import '../pages/cattle_resume/cattle_resume_binding.dart';
import '../pages/cattle_resume/cattle_resume_list/cattle_resume_list_binding.dart';
import '../pages/cattle_resume/cattle_resume_list/cattle_resume_list_view.dart';
import '../pages/cattle_resume/cattle_resume_view.dart';
import '../pages/home/home_binding.dart';
import '../pages/home/home_view.dart';
import '../pages/login/login_binding.dart';
import '../pages/login/login_view.dart';
import '../pages/message/message_detail/message_detail_binding.dart';
import '../pages/message/message_detail/message_detail_view.dart';
import '../pages/message/message_list/message_list_binding.dart';
import '../pages/message/message_list/message_list_view.dart';
import '../pages/performance/performance_binding.dart';
import '../pages/performance/performance_list/performance_list_binding.dart';
import '../pages/performance/performance_view.dart';
import 'routes.dart';

abstract class AppPages {
  static final List<GetPage> pages = [
    GetPage(
      name: AppRoute.LOGIN,
      page: () => const LoginPage(),
      binding: LoginBinding(),
    ),
    GetPage(
      name: AppRoute.MAIN,
      page: () => MainPage(),
      binding: MainBinding(),
    ),
    GetPage(
      name: AppRoute.HOME,
      page: () =>  HomePage(),
      binding: HomeBinding(),
    ),
    GetPage(
      name: AppRoute.MESSAGE,
      page: () =>  MessagePage(),
      binding: MessageBinding(),
    ),
    GetPage(
      name: AppRoute.MESSAGE_LIST,
      page: () =>  MessageListPage(),
      binding: MessageListBinding(),
    ),
    GetPage(
      name: AppRoute.MESSAGE_DETAIL,
      page: () =>  MessageDetailPage(),
      binding: MessageDetailBinding(),
    ),
    GetPage(
      name: AppRoute.SYNC,
      page: () => SyncPage(),
      binding: SyncBinding(),
    ),
    GetPage(
      name: AppRoute.MINE,
      page: () => MinePage(),
      binding: MineBinding(),
    ),
    GetPage(
      name: AppRoute.CATTLE_RESUME_LIST,
      page: () =>  CattleResumeListPage(),
      binding: CattleResumeListBinding(),
    ),
    GetPage(
      name: AppRoute.CATTLE_RESUME,
      page: () =>  CattleResumePage(),
      binding: CattleResumeBinding(),
    ),
    GetPage(
      name: AppRoute.BEGATS_RECORD,
      page: () =>  BegatsRecordPage(),
      binding: BegatsRecordBinding(),
    ),
    GetPage(
      name: AppRoute.PERFORMANCE_LIST,
      page: () =>  PerformanceListPage(),
      binding: PerformanceListBinding(),
    ),
    GetPage(
      name: AppRoute.PERFORMANCE,
      page: () =>  PerformancePage(),
      binding: PerformanceBinding(),
    ),
    GetPage(
      name: AppRoute.WEIGHT_MAN_LIST,
      page: () =>  WeightManListPage(),
      binding: WeightManListBinding(),
    ),
    GetPage(
      name: AppRoute.WEIGHT_MAN,
      page: () =>  WeightManPage(),
      binding: WeightManBinding(),
    ),
    GetPage(
      name: AppRoute.MEDICAL_RECORD_LIST,
      page: () =>  MedicalRecordListPage(),
      binding: MedicalRecordListBinding(),
    ),
    GetPage(
      name: AppRoute.MEDICAL_RECORD,
      page: () =>  MedicalRecordPage(),
      binding: MedicalRecordBinding(),
    ),
    GetPage(
      name: AppRoute.IMMUNE_BATCH_LIST,
      page: () =>  ImmuneBatchListPage(),
      binding: ImmuneBatchListBinding(),
    ),
    GetPage(
      name: AppRoute.IMMUNE_BATCH,
      page: () =>  ImmuneBatchPage(),
      binding: ImmuneBatchBinding(),
    ),
    GetPage(
      name: AppRoute.BREEDING_RECORD_LIST,
      page: () =>  BreedingRecordListPage(),
      binding: BreedingRecordListBinding(),
    ),
    GetPage(
      name: AppRoute.BREEDING_RECORD,
      page: () =>  BreedingRecordPage(),
      binding: BreedingRecordBinding(),
    ),
    GetPage(
      name: AppRoute.BREEDING_RECORD_DETAIL,
      page: () =>  BreedingRecordDetailPage(),
      binding: BreedingRecordDetailBinding(),
    ),
    GetPage(
      name: AppRoute.CAMERA,
      page: () =>  CameraPage(),
      binding: CameraBinding(),
    ),
    GetPage(
      name: AppRoute.SETTING,
      page: () =>  SettingPage(),
      binding: SettingBinding(),
    ),
    GetPage(
      name: AppRoute.LIKE_SEARCH_FARMER,
      page: () =>  LikeSearchFarmerPage(),
      binding: LikeSearchFarmerBinding(),
    ),
  ];
}
